Bug 199743 - [New Port] audio/forked-daapd: DAAP (iTunes) and RSP (Roku) media server
Summary: [New Port] audio/forked-daapd: DAAP (iTunes) and RSP (Roku) media server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on: 199674
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-27 21:27 UTC by takumiiinn
Modified: 2016-05-11 20:25 UTC (History)
2 users (show)

See Also:


Attachments
Ports Tree Archive (5.62 KB, text/plain)
2015-04-27 21:27 UTC, takumiiinn
no flags Details
poudriere testport log (179.40 KB, text/plain)
2015-04-27 21:53 UTC, takumiiinn
no flags Details
Ports Tree Archive (5.42 KB, text/plain)
2015-05-03 12:04 UTC, takumiiinn
no flags Details
poudriere testport log (189.47 KB, text/plain)
2015-05-03 12:07 UTC, takumiiinn
no flags Details
shar-23.4 (5.47 KB, text/plain)
2016-03-04 20:49 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description takumiiinn 2015-04-27 21:27:59 UTC
Created attachment 156055 [details]
Ports Tree Archive

audio/forked-daapd: DAAP (iTunes) and RSP (Roku) media server.

It has support for AirPlay devices/speakers, Apple Remote (and compatibles),
internet radio, Spotify and LastFM. It does not support AirPlay video.

DAAP stands for Digital Audio Access Protocol, and is the protocol used
by iTunes and friends to share/stream media libraries over the network.

RSP is Roku's own media sharing protocol. Roku are the makers of the
SoundBridge devices.

WWW: https://github.com/ejurgensen/forked-daapd

Build Require [bug #199674]
Comment 1 takumiiinn 2015-04-27 21:53:31 UTC
Created attachment 156057 [details]
poudriere testport log
Comment 2 takumiiinn 2015-05-03 12:04:50 UTC
Created attachment 156274 [details]
Ports Tree Archive

Update Version 22.1 to 23.0.
Comment 3 takumiiinn 2015-05-03 12:07:00 UTC
Created attachment 156275 [details]
poudriere testport log
Comment 4 Kurt Jaeger freebsd_committer 2015-10-17 18:33:24 UTC
Tried to build it with antlr3 as 3.5.2 and 23.3 from github, fails on 11amd64
with:

RSPParser.c:1716:44: error: use of undeclared identifier
      'FOLLOW_set_in_strop184'; did you mean 'FOLLOW_AND_in_aexpr84'?
                EXCEPTION->expectingSet = &FOLLOW_set_in_strop184;
                                           ^~~~~~~~~~~~~~~~~~~~~~
                                           FOLLOW_AND_in_aexpr84

and similar errors later.

Any idea ?
Comment 5 Kurt Jaeger freebsd_committer 2016-03-03 15:19:17 UTC
Testbuilds fine on 11a, 10.2a+i, fails on 9.3a.
Comment 6 Kurt Jaeger freebsd_committer 2016-03-03 15:19:31 UTC
Ups, failed to mention: version 23.4.
Comment 7 Kurt Jaeger freebsd_committer 2016-03-04 20:49:26 UTC
Created attachment 167730 [details]
shar-23.4

New version.
Comment 8 commit-hook freebsd_committer 2016-05-11 20:15:58 UTC
A commit references this bug:

Author: woodsb02
Date: Wed May 11 20:15:01 UTC 2016
New revision: 415025
URL: https://svnweb.freebsd.org/changeset/ports/415025

Log:
  Add new port audio/forked-daapd, a DAAP (iTunes), MPD (Music
  Player Daemon) and RSP (Roku) media server.

  PR:		199743
  Submitted by:	takumiiinn@gmail.com, with extra work by pi
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D6326

Changes:
  head/audio/Makefile
  head/audio/forked-daapd/
  head/audio/forked-daapd/Makefile
  head/audio/forked-daapd/distinfo
  head/audio/forked-daapd/files/
  head/audio/forked-daapd/files/forked-daapd.in
  head/audio/forked-daapd/files/pkg-message.in
  head/audio/forked-daapd/pkg-descr
  head/audio/forked-daapd/pkg-plist
Comment 9 Ben Woods freebsd_committer 2016-05-11 20:25:35 UTC
Hi takumiiinn@gmail.com,

Thanks a lot for submitting this new port - it is now committed, with you as maintainer. Nice work!

With the help of my illustrious mentor, I improved a few things from your original submission, listed here FYI:
- Updated port to latest release (24.1)
- Added LICENSE_FILE
- Re-arranged the Makefile to the normal order to satisfy portlint
- Changed USES flag to remove compiler (not required) and add localbase, sqlite
- Converted your post-patch to CONFIGURE_ARGS+=--localstatedir=/var
- Removed OPTIONS for FLAC, MUSEPACK, OSS (no longer in upstream project)
- Removed CONFIGURE_TARGET and CONFIGURE_ENV variables (not required)
- Fixed build on FreeBSD 9 by allowing it to find zlib
- Updated pkg-descr, Added files/pkg-message.in, updated files/forked-daapd.in

Thanks again for your awesome work!